function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BizDialog, BizGlobalDataContext, BizTable, IconFont, ajax } from '@zgfe/business-lib';
import { Button, Drawer, Spin } from 'antd';
import React, { useContext, useEffect, useState } from 'react';
import './index.less';
import apis from '../../../../constants/api';
import { statusNode } from '../../utils';
import { LogView } from '../../../../components/checkLog';
var RunningLog = function RunningLog(props) {
  var classPrefix = 'running-log';
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    logList = _useState2[0],
    setLogList = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    currentLog = _useState4[0],
    setCurrentLog = _useState4[1];
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    loading = _useState6[0],
    setLoading = _useState6[1];
  var _useState7 = useState(false),
    _useState8 = _slicedToArray(_useState7, 2),
    logLoading = _useState8[0],
    setLogLoading = _useState8[1];
  var _useState9 = useState(false),
    _useState10 = _slicedToArray(_useState9, 2),
    showDetail = _useState10[0],
    setShowDetail = _useState10[1];
  var _useContext = useContext(BizGlobalDataContext),
    currentApp = _useContext.currentApp,
    authority = _useContext.authority;
  var columns = [{
    title: '更新完成时间',
    dataIndex: 'endTime',
    width: 200,
    ellipsis: true
  }, {
    title: '状态',
    dataIndex: 'state',
    render: function render(v) {
      return statusNode(v);
    }
  }, {
    title: '操作',
    width: 80,
    render: function render(_, record) {
      return /*#__PURE__*/React.createElement("a", {
        className: authority[1705040895] ? '' : 'disabled',
        onClick: function onClick() {
          if (!authority[1705040895]) return;
          fetchLog(record.taskInstanceId);
          setShowDetail(true);
        }
      }, "\u65E5\u5FD7");
    }
  }];
  useEffect(function () {
    if (!props.taskId) return;
    fetch();
  }, [props.taskId]);
  var fetch = function fetch() {
    setLoading(true);
    ajax(apis.fusionLogs, {
      method: 'post',
      data: {
        appId: currentApp === null || currentApp === void 0 ? void 0 : currentApp.appId,
        id: props.taskId
      }
    }).then(function (res) {
      if (!res || !res.data) return;
      setLogList(res.data);
    }).finally(function () {
      setLoading(false);
    });
  };
  // 获取日志详情
  var fetchLog = function fetchLog(logId) {
    setLogLoading(true);
    setCurrentLog('');
    ajax(apis.fusionLogDetail, {
      method: 'post',
      data: {
        appId: currentApp === null || currentApp === void 0 ? void 0 : currentApp.appId,
        logId: logId,
        id: props.taskId
      }
    }).then(function (res) {
      if (!res || !res.data) return;
      var msg = res.data.message;
      setCurrentLog(msg);
    }).finally(function () {
      setLogLoading(false);
    });
  };
  return /*#__PURE__*/React.createElement(Drawer, {
    className: classPrefix,
    open: props.open,
    width: 520,
    maskClassName: "".concat(classPrefix, "-mask"),
    title: /*#__PURE__*/React.createElement("div", {
      className: "".concat(classPrefix, "-title-panel")
    }, /*#__PURE__*/React.createElement("div", {
      className: "".concat(classPrefix, "-title")
    }, "\u8FD0\u884C\u65E5\u5FD7"), /*#__PURE__*/React.createElement(IconFont, {
      type: "qingchu",
      className: "".concat(classPrefix, "-close"),
      onClick: props.onClose
    })),
    onClose: props.onClose
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(classPrefix, "-content")
  }, /*#__PURE__*/React.createElement(BizTable, {
    rowKey: "id",
    loading: loading,
    dataSource: logList,
    columns: columns
  })), /*#__PURE__*/React.createElement("div", {
    className: "".concat(classPrefix, "-footer")
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: props.onClose
  }, "\u786E\u5B9A")), /*#__PURE__*/React.createElement(BizDialog, {
    className: "".concat(classPrefix, "-detail"),
    title: "\u67E5\u770B\u65E5\u5FD7",
    open: showDetail,
    width: 720,
    closable: true,
    onCancel: function onCancel() {
      return setShowDetail(false);
    },
    onOk: function onOk() {
      return setShowDetail(false);
    }
  }, function () {
    if (logLoading) {
      return /*#__PURE__*/React.createElement(Spin, {
        className: "".concat(classPrefix, "-detail-loading")
      });
    }
    return /*#__PURE__*/React.createElement(LogView, {
      log: currentLog
    });
  }()));
};
export default RunningLog;